<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">

    <!-- Responsive Meta Tag -->

    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <!-- External CSS -->

    <!-- <link rel="stylesheet" href="index.css"> -->

    <!-- Sanity Check to link HTML to CSS -->

    <title>Bootstrap Grid System</title>
</head>
<body class="text-center">

        <h3>Mobile Responsive Columns</h3>
    <div class="container-fluid">

        <!-- ctrl + cursor (select multiple) = multiple selections-->

        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-3 ">
            Responsive</div>
        <div class="text-light"></div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-9">
            Responsive</div> 
        </div>  
    </div>

    <h3>Multi Column Layouts</h3>
    <div class="container-fluid">

        <!-- ctrl + cursor (select multiple) = multiple selections-->

        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            Responsive</div>
        <div class="text-light"></div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">
            Responsive</div> 
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            Responsive</div> 
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            Responsive</div>
            <div class="text-light"></div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">
            Responsive</div> 
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">
            Responsive</div> 
        </div>  
    </div>

        <h3>Offsetting Columns</h3>
<div class="row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-md-5 offset-md-1">
         Offset Column
        </div>
    </div>
    <div class="row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-md-6 offset-md-2">
         Offset Column
        </div>
    </div>
    <div class="row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-md-7 offset-md-3">
         Offset Column
        </div>
    </div>

            <h3>Mobile Responsive Columns</h3>
        <div class="container-fluid">

            <!-- ctrl + cursor (select multiple) = multiple selections-->

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6 order-1 order-md-2">
                Left</div>
            <div class="text-light"></div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6 order-2 order-md-1">
                Right</div> 
            </div>  
        </div>
        
    </div>






<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>